Skip to main content
GET
List Locations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Query Parameters

location_type
enum<string> | null

Filter by location type Cloud storage provider types.

Available options:
s3,
azure_blob,
gcs,
r2,
b2,
wasabi,
railway,
oracle_object_storage_s3,
s3_compatible,
tigris,
digitalocean_spaces,
hetzner,
rabata
q
string | null

Search by name (case-insensitive)

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:50

Items per page

Required range: 1 <= x <= 100
sort_by
enum<string> | null

Field to sort by: name, created_at, last_verified_at

Available options:
name,
created_at,
last_verified_at
sort_order
enum<string> | null

Sort order: asc or desc (default: desc) Sort order for list endpoints.

Available options:
asc,
desc

Response

Successful Response

data
LocationResponse · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata in responses.